
This repository caters to two main goals: to learn about robotics through simulation, and to provide an environment to do that with minimal dependencies.
A third is maybe to have simple and modular code.

### Dependencies

- NumPy
- SciPy
- matplotlib
- plotly

Numpy here is generally used for its math routines.
Scipy is for advancing the time in some simulations and occasionally for its optimization routines.
Many visuals are done with matplotlib, so most of the examples in `examples/` will need this.
Any of the visuals that need 3d rendering (as opposed to matplotlib's 2.5d) are made with plotly.

Here is an example of creating an environment named `py37control` with Anaconda having the dependencies:

```
conda create -n py37control python=3.7 numpy scipy matplotlib
source activate py37control
conda install -c plotly plotly=4
```