import numpy as np


class Markers(object):

    def __init__(self, xy, kwargs=None):
        self.xy = np.asarray(xy)
        kwargs = kwargs or dict(
            color='magenta', marker='^', linestyle='dashed',
            linewidth=2, markersize=5, alpha=0.8,
            zorder=10,
        )
        self.kwargs = kwargs

    def draw_top_view(self, ax):
        ax.plot(self.xy[:, 0], self.xy[:, 1], **self.kwargs)

    def draw_image_view(self, ax, camera, zorder=0):
        pass
